# Copyright (c) 2000-2014, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section         free

Name:           hawtbuf
Version:        1.9
Release:        1%{?dist}
Epoch:          0
Summary:        Byte buffer utilities
License:        Apache Software License 2.0
Group:          Development/Libraries/Java
Url:            http://fusesource.com/forge/projects/hawtbuf
Source0:        hawtbuf-1.9.tar.bz2
# git clone https://github.com/fusesource/hawtbuf.git
# git archive --prefix=hawtbuf-1.9/ --format=tar hawtbuf-project-1.9 | bzip2 > ../../SOURCES/hawtbuf-1.9.tar.bz2

Source1:        %{name}-jpp-depmap.xml

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7
BuildRequires:  apache-commons-parent >= 0:12
BuildRequires:  maven3
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  mojo-javacc-maven-plugin
BuildRequires:  fusesource-pom
Requires:       java >= 0:1.6.0
BuildArch:      noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
A set of Java byte buffer related utility classes and tools,
including a protobuf implementation.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q 

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository

%{_bindir}/mvn-rpmbuild \
        -e \
        -Dmaven.local.depmap.file=%{SOURCE1} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        install javadoc:aggregate

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/

install -m 644 hawtbuf/target/%{name}-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 hawtbuf/target/%{name}-%{version}-tests.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-tests-%{version}.jar
install -m 644 hawtbuf-proto/target/%{name}-proto-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-proto-%{version}.jar
install -m 644 hawtbuf-protoc/target/%{name}-protoc-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-protoc-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/ && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# Install pom files
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-project.pom
%add_to_maven_depmap org.fusesource.hawtbuf hawtbuf-project %{version} JPP %{name}-project
install -m 644 hawtbuf/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap org.fusesource.hawtbuf hawtbuf %{version} JPP %{name}
install -m 644 hawtbuf-proto/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-proto.pom
%add_to_maven_depmap org.fusesource.hawtbuf hawtbuf-proto %{version} JPP %{name}-proto
install -m 644 hawtbuf-protoc/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-protoc.pom
%add_to_maven_depmap org.fusesource.hawtbuf hawtbuf-protoc %{version} JPP %{name}-protoc

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root)
%doc %{_javadocdir}/*

%changelog
* Fri Jul 18 2014 Ralph Apel <r.apel@r-apel.de> - 0:1.9-1
- 1.9

* Mon Jul 14 2014 Ralph Apel <r.apel@r-apel.de> - 0:1.2-2
- move to JPP6

* Fri Apr 01 2011 Ralph Apel <r.apel@r-apel.de> - 0:1.2-1
- first release

